added cppcheck
[ppastats.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 TESTS = test-cppcheck.sh test-strrep$(EXEEXT) test-ptime$(EXEEXT)
81 check_PROGRAMS = test-strrep$(EXEEXT) test-ptime$(EXEEXT)
82 subdir = tests
83 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
84         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
87         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
88         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
89         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
90         $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
91         $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93         $(ACLOCAL_M4)
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_HEADER = $(top_builddir)/config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 am_test_ptime_OBJECTS = test_ptime-test_ptime.$(OBJEXT) \
99         test_ptime-ptime.$(OBJEXT)
100 test_ptime_OBJECTS = $(am_test_ptime_OBJECTS)
101 test_ptime_LDADD = $(LDADD)
102 test_ptime_LINK = $(CCLD) $(test_ptime_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
103         $(LDFLAGS) -o $@
104 am_test_strrep_OBJECTS = test_strrep-test_strrep.$(OBJEXT) \
105         test_strrep-pstr.$(OBJEXT)
106 test_strrep_OBJECTS = $(am_test_strrep_OBJECTS)
107 test_strrep_LDADD = $(LDADD)
108 test_strrep_LINK = $(CCLD) $(test_strrep_CFLAGS) $(CFLAGS) \
109         $(AM_LDFLAGS) $(LDFLAGS) -o $@
110 AM_V_P = $(am__v_P_@AM_V@)
111 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
112 am__v_P_0 = false
113 am__v_P_1 = :
114 AM_V_GEN = $(am__v_GEN_@AM_V@)
115 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
116 am__v_GEN_0 = @echo "  GEN     " $@;
117 am__v_GEN_1 = 
118 AM_V_at = $(am__v_at_@AM_V@)
119 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
120 am__v_at_0 = @
121 am__v_at_1 = 
122 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
123 depcomp = $(SHELL) $(top_srcdir)/depcomp
124 am__depfiles_maybe = depfiles
125 am__mv = mv -f
126 AM_V_lt = $(am__v_lt_@AM_V@)
127 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
128 am__v_lt_0 = --silent
129 am__v_lt_1 = 
130 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
131         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
132 AM_V_CC = $(am__v_CC_@AM_V@)
133 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
134 am__v_CC_0 = @echo "  CC      " $@;
135 am__v_CC_1 = 
136 CCLD = $(CC)
137 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
138 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
139 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
140 am__v_CCLD_0 = @echo "  CCLD    " $@;
141 am__v_CCLD_1 = 
142 SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
143 DIST_SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
144 am__can_run_installinfo = \
145   case $$AM_UPDATE_INFO_DIR in \
146     n|no|NO) false;; \
147     *) (install-info --version) >/dev/null 2>&1;; \
148   esac
149 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
150 # Read a list of newline-separated strings from the standard input,
151 # and print each of them once, without duplicates.  Input order is
152 # *not* preserved.
153 am__uniquify_input = $(AWK) '\
154   BEGIN { nonempty = 0; } \
155   { items[$$0] = 1; nonempty = 1; } \
156   END { if (nonempty) { for (i in items) print i; }; } \
157 '
158 # Make sure the list of sources is unique.  This is necessary because,
159 # e.g., the same source file might be shared among _SOURCES variables
160 # for different programs/libraries.
161 am__define_uniq_tagged_files = \
162   list='$(am__tagged_files)'; \
163   unique=`for i in $$list; do \
164     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
165   done | $(am__uniquify_input)`
166 ETAGS = etags
167 CTAGS = ctags
168 am__tty_colors_dummy = \
169   mgn= red= grn= lgn= blu= brg= std=; \
170   am__color_tests=no
171 am__tty_colors = { \
172   $(am__tty_colors_dummy); \
173   if test "X$(AM_COLOR_TESTS)" = Xno; then \
174     am__color_tests=no; \
175   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
176     am__color_tests=yes; \
177   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
178     am__color_tests=yes; \
179   fi; \
180   if test $$am__color_tests = yes; then \
181     red='\e[0;31m'; \
182     grn='\e[0;32m'; \
183     lgn='\e[1;32m'; \
184     blu='\e[1;34m'; \
185     mgn='\e[0;35m'; \
186     brg='\e[1m'; \
187     std='\e[m'; \
188   fi; \
189 }
190 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
191 am__vpath_adj = case $$p in \
192     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
193     *) f=$$p;; \
194   esac;
195 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
196 am__install_max = 40
197 am__nobase_strip_setup = \
198   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
199 am__nobase_strip = \
200   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
201 am__nobase_list = $(am__nobase_strip_setup); \
202   for p in $$list; do echo "$$p $$p"; done | \
203   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
204   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
205     if (++n[$$2] == $(am__install_max)) \
206       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
207     END { for (dir in files) print dir, files[dir] }'
208 am__base_list = \
209   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
210   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
211 am__uninstall_files_from_dir = { \
212   test -z "$$files" \
213     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
214     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
215          $(am__cd) "$$dir" && rm -f $$files; }; \
216   }
217 am__recheck_rx = ^[     ]*:recheck:[    ]*
218 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
219 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
220 # A command that, given a newline-separated list of test names on the
221 # standard input, print the name of the tests that are to be re-run
222 # upon "make recheck".
223 am__list_recheck_tests = $(AWK) '{ \
224   recheck = 1; \
225   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
226     { \
227       if (rc < 0) \
228         { \
229           if ((getline line2 < ($$0 ".log")) < 0) \
230             recheck = 0; \
231           break; \
232         } \
233       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
234         { \
235           recheck = 0; \
236           break; \
237         } \
238       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
239         { \
240           break; \
241         } \
242     }; \
243   if (recheck) \
244     print $$0; \
245   close ($$0 ".trs"); \
246   close ($$0 ".log"); \
247 }'
248 # A command that, given a newline-separated list of test names on the
249 # standard input, create the global log from their .trs and .log files.
250 am__create_global_log = $(AWK) ' \
251 function fatal(msg) \
252 { \
253   print "fatal: making $@: " msg | "cat >&2"; \
254   exit 1; \
255 } \
256 function rst_section(header) \
257 { \
258   print header; \
259   len = length(header); \
260   for (i = 1; i <= len; i = i + 1) \
261     printf "="; \
262   printf "\n\n"; \
263 } \
264 { \
265   copy_in_global_log = 1; \
266   global_test_result = "RUN"; \
267   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
268     { \
269       if (rc < 0) \
270          fatal("failed to read from " $$0 ".trs"); \
271       if (line ~ /$(am__global_test_result_rx)/) \
272         { \
273           sub("$(am__global_test_result_rx)", "", line); \
274           sub("[        ]*$$", "", line); \
275           global_test_result = line; \
276         } \
277       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
278         copy_in_global_log = 0; \
279     }; \
280   if (copy_in_global_log) \
281     { \
282       rst_section(global_test_result ": " $$0); \
283       while ((rc = (getline line < ($$0 ".log"))) != 0) \
284       { \
285         if (rc < 0) \
286           fatal("failed to read from " $$0 ".log"); \
287         print line; \
288       }; \
289       printf "\n"; \
290     }; \
291   close ($$0 ".trs"); \
292   close ($$0 ".log"); \
293 }'
294 # Restructured Text title.
295 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
296 # Solaris 10 'make', and several other traditional 'make' implementations,
297 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
298 # by disabling -e (using the XSI extension "set +e") if it's set.
299 am__sh_e_setup = case $$- in *e*) set +e;; esac
300 # Default flags passed to test drivers.
301 am__common_driver_flags = \
302   --color-tests "$$am__color_tests" \
303   --enable-hard-errors "$$am__enable_hard_errors" \
304   --expect-failure "$$am__expect_failure"
305 # To be inserted before the command running the test.  Creates the
306 # directory for the log if needed.  Stores in $dir the directory
307 # containing $f, in $tst the test, in $log the log.  Executes the
308 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
309 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
310 # will run the test scripts (or their associated LOG_COMPILER, if
311 # thy have one).
312 am__check_pre = \
313 $(am__sh_e_setup);                                      \
314 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
315 $(am__tty_colors);                                      \
316 srcdir=$(srcdir); export srcdir;                        \
317 case "$@" in                                            \
318   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
319     *) am__odir=.;;                                     \
320 esac;                                                   \
321 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
322   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
323 if test -f "./$$f"; then dir=./;                        \
324 elif test -f "$$f"; then dir=;                          \
325 else dir="$(srcdir)/"; fi;                              \
326 tst=$$dir$$f; log='$@';                                 \
327 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
328   am__enable_hard_errors=no;                            \
329 else                                                    \
330   am__enable_hard_errors=yes;                           \
331 fi;                                                     \
332 case " $(XFAIL_TESTS) " in                              \
333   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
334     am__expect_failure=yes;;                            \
335   *)                                                    \
336     am__expect_failure=no;;                             \
337 esac;                                                   \
338 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
339 # A shell command to get the names of the tests scripts with any registered
340 # extension removed (i.e., equivalently, the names of the test logs, with
341 # the '.log' extension removed).  The result is saved in the shell variable
342 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
343 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
344 # since that might cause problem with VPATH rewrites for suffix-less tests.
345 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
346 am__set_TESTS_bases = \
347   bases='$(TEST_LOGS)'; \
348   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
349   bases=`echo $$bases`
350 RECHECK_LOGS = $(TEST_LOGS)
351 AM_RECURSIVE_TARGETS = check recheck
352 TEST_SUITE_LOG = test-suite.log
353 TEST_EXTENSIONS = @EXEEXT@ .test
354 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
355 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
356 am__set_b = \
357   case '$@' in \
358     */*) \
359       case '$*' in \
360         */*) b='$*';; \
361           *) b=`echo '$@' | sed 's/\.log$$//'`; \
362        esac;; \
363     *) \
364       b='$*';; \
365   esac
366 am__test_logs1 = $(TESTS:=.log)
367 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
368 TEST_LOGS = $(am__test_logs2:.test.log=.log)
369 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
370 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
371         $(TEST_LOG_FLAGS)
372 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
373 ACLOCAL = @ACLOCAL@
374 AMTAR = @AMTAR@
375 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
376 AUTOCONF = @AUTOCONF@
377 AUTOHEADER = @AUTOHEADER@
378 AUTOMAKE = @AUTOMAKE@
379 AWK = @AWK@
380 CC = @CC@
381 CCDEPMODE = @CCDEPMODE@
382 CFLAGS = @CFLAGS@
383 CPP = @CPP@
384 CPPFLAGS = @CPPFLAGS@
385 CURL_CFLAGS = @CURL_CFLAGS@
386 CURL_LIBS = @CURL_LIBS@
387 CYGPATH_W = @CYGPATH_W@
388 DEFS = @DEFS@
389 DEPDIR = @DEPDIR@
390 ECHO_C = @ECHO_C@
391 ECHO_N = @ECHO_N@
392 ECHO_T = @ECHO_T@
393 EGREP = @EGREP@
394 EXEEXT = @EXEEXT@
395 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
396 GMSGFMT = @GMSGFMT@
397 GMSGFMT_015 = @GMSGFMT_015@
398 GREP = @GREP@
399 HAVE_CPPCHECK = @HAVE_CPPCHECK@
400 HELP2MAN = @HELP2MAN@
401 INSTALL = @INSTALL@
402 INSTALL_DATA = @INSTALL_DATA@
403 INSTALL_PROGRAM = @INSTALL_PROGRAM@
404 INSTALL_SCRIPT = @INSTALL_SCRIPT@
405 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
406 INTLLIBS = @INTLLIBS@
407 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
408 JSON_CFLAGS = @JSON_CFLAGS@
409 JSON_LIBS = @JSON_LIBS@
410 LDFLAGS = @LDFLAGS@
411 LIBICONV = @LIBICONV@
412 LIBINTL = @LIBINTL@
413 LIBOBJS = @LIBOBJS@
414 LIBS = @LIBS@
415 LTLIBICONV = @LTLIBICONV@
416 LTLIBINTL = @LTLIBINTL@
417 LTLIBOBJS = @LTLIBOBJS@
418 MAKEINFO = @MAKEINFO@
419 MKDIR_P = @MKDIR_P@
420 MSGFMT = @MSGFMT@
421 MSGFMT_015 = @MSGFMT_015@
422 MSGMERGE = @MSGMERGE@
423 OBJEXT = @OBJEXT@
424 PACKAGE = @PACKAGE@
425 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
426 PACKAGE_NAME = @PACKAGE_NAME@
427 PACKAGE_STRING = @PACKAGE_STRING@
428 PACKAGE_TARNAME = @PACKAGE_TARNAME@
429 PACKAGE_URL = @PACKAGE_URL@
430 PACKAGE_VERSION = @PACKAGE_VERSION@
431 PATH_SEPARATOR = @PATH_SEPARATOR@
432 PKG_CONFIG = @PKG_CONFIG@
433 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
434 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
435 POSUB = @POSUB@
436 RANLIB = @RANLIB@
437 SET_MAKE = @SET_MAKE@
438 SHELL = @SHELL@
439 STRIP = @STRIP@
440 USE_NLS = @USE_NLS@
441 VERSION = @VERSION@
442 XGETTEXT = @XGETTEXT@
443 XGETTEXT_015 = @XGETTEXT_015@
444 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
445 XMKMF = @XMKMF@
446 abs_builddir = @abs_builddir@
447 abs_srcdir = @abs_srcdir@
448 abs_top_builddir = @abs_top_builddir@
449 abs_top_srcdir = @abs_top_srcdir@
450 ac_ct_CC = @ac_ct_CC@
451 am__include = @am__include@
452 am__leading_dot = @am__leading_dot@
453 am__quote = @am__quote@
454 am__tar = @am__tar@
455 am__untar = @am__untar@
456 bindir = @bindir@
457 build = @build@
458 build_alias = @build_alias@
459 build_cpu = @build_cpu@
460 build_os = @build_os@
461 build_vendor = @build_vendor@
462 builddir = @builddir@
463 datadir = @datadir@
464 datarootdir = @datarootdir@
465 docdir = @docdir@
466 dvidir = @dvidir@
467 exec_prefix = @exec_prefix@
468 host = @host@
469 host_alias = @host_alias@
470 host_cpu = @host_cpu@
471 host_os = @host_os@
472 host_vendor = @host_vendor@
473 htmldir = @htmldir@
474 includedir = @includedir@
475 infodir = @infodir@
476 install_sh = @install_sh@
477 libdir = @libdir@
478 libexecdir = @libexecdir@
479 localedir = @localedir@
480 localstatedir = @localstatedir@
481 mandir = @mandir@
482 mkdir_p = @mkdir_p@
483 oldincludedir = @oldincludedir@
484 pdfdir = @pdfdir@
485 prefix = @prefix@
486 program_transform_name = @program_transform_name@
487 psdir = @psdir@
488 sbindir = @sbindir@
489 sharedstatedir = @sharedstatedir@
490 srcdir = @srcdir@
491 sysconfdir = @sysconfdir@
492 target_alias = @target_alias@
493 top_build_prefix = @top_build_prefix@
494 top_builddir = @top_builddir@
495 top_srcdir = @top_srcdir@
496 EXTRA_DIST = \
497         checkpatch.pl \
498         test-cppcheck.sh \
499         test_strrep.c \
500         test_ptime.c
501
502 test_strrep_SOURCES = \
503         test_strrep.c \
504         $(top_builddir)/src/pstr.h \
505         $(top_builddir)/src/pstr.c
506
507 test_strrep_CFLAGS = -I$(top_srcdir)/src
508 test_ptime_SOURCES = \
509         test_ptime.c \
510         $(top_builddir)/src/ptime.h \
511         $(top_builddir)/src/ptime.c
512
513 test_ptime_CFLAGS = -I$(top_srcdir)/src
514 all: all-am
515
516 .SUFFIXES:
517 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
518 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
519         @for dep in $?; do \
520           case '$(am__configure_deps)' in \
521             *$$dep*) \
522               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
523                 && { if test -f $@; then exit 0; else break; fi; }; \
524               exit 1;; \
525           esac; \
526         done; \
527         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
528         $(am__cd) $(top_srcdir) && \
529           $(AUTOMAKE) --gnu tests/Makefile
530 .PRECIOUS: Makefile
531 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
532         @case '$?' in \
533           *config.status*) \
534             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
535           *) \
536             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
537             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
538         esac;
539
540 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
541         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
542
543 $(top_srcdir)/configure:  $(am__configure_deps)
544         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
545 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
546         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
547 $(am__aclocal_m4_deps):
548
549 clean-checkPROGRAMS:
550         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
551
552 test-ptime$(EXEEXT): $(test_ptime_OBJECTS) $(test_ptime_DEPENDENCIES) $(EXTRA_test_ptime_DEPENDENCIES) 
553         @rm -f test-ptime$(EXEEXT)
554         $(AM_V_CCLD)$(test_ptime_LINK) $(test_ptime_OBJECTS) $(test_ptime_LDADD) $(LIBS)
555
556 test-strrep$(EXEEXT): $(test_strrep_OBJECTS) $(test_strrep_DEPENDENCIES) $(EXTRA_test_strrep_DEPENDENCIES) 
557         @rm -f test-strrep$(EXEEXT)
558         $(AM_V_CCLD)$(test_strrep_LINK) $(test_strrep_OBJECTS) $(test_strrep_LDADD) $(LIBS)
559
560 mostlyclean-compile:
561         -rm -f *.$(OBJEXT)
562
563 distclean-compile:
564         -rm -f *.tab.c
565
566 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-ptime.Po@am__quote@
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-test_ptime.Po@am__quote@
568 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-pstr.Po@am__quote@
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-test_strrep.Po@am__quote@
570
571 .c.o:
572 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
573 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
576 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
577
578 .c.obj:
579 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
580 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
583 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
584
585 test_ptime-test_ptime.o: test_ptime.c
586 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
587 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.o' libtool=no @AMDEPBACKSLASH@
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
590 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
591
592 test_ptime-test_ptime.obj: test_ptime.c
593 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
594 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.obj' libtool=no @AMDEPBACKSLASH@
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
597 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
598
599 test_ptime-ptime.o: $(top_builddir)/src/ptime.c
600 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
601 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.o' libtool=no @AMDEPBACKSLASH@
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
604 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
605
606 test_ptime-ptime.obj: $(top_builddir)/src/ptime.c
607 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
608 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.obj' libtool=no @AMDEPBACKSLASH@
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
611 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
612
613 test_strrep-test_strrep.o: test_strrep.c
614 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.o -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
615 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.o' libtool=no @AMDEPBACKSLASH@
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
618 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
619
620 test_strrep-test_strrep.obj: test_strrep.c
621 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.obj -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
622 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.obj' libtool=no @AMDEPBACKSLASH@
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
625 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
626
627 test_strrep-pstr.o: $(top_builddir)/src/pstr.c
628 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.o -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
629 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.o' libtool=no @AMDEPBACKSLASH@
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
632 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
633
634 test_strrep-pstr.obj: $(top_builddir)/src/pstr.c
635 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.obj -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
636 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.obj' libtool=no @AMDEPBACKSLASH@
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
639 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
640
641 ID: $(am__tagged_files)
642         $(am__define_uniq_tagged_files); mkid -fID $$unique
643 tags: tags-am
644 TAGS: tags
645
646 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
647         set x; \
648         here=`pwd`; \
649         $(am__define_uniq_tagged_files); \
650         shift; \
651         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
652           test -n "$$unique" || unique=$$empty_fix; \
653           if test $$# -gt 0; then \
654             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
655               "$$@" $$unique; \
656           else \
657             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
658               $$unique; \
659           fi; \
660         fi
661 ctags: ctags-am
662
663 CTAGS: ctags
664 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
665         $(am__define_uniq_tagged_files); \
666         test -z "$(CTAGS_ARGS)$$unique" \
667           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
668              $$unique
669
670 GTAGS:
671         here=`$(am__cd) $(top_builddir) && pwd` \
672           && $(am__cd) $(top_srcdir) \
673           && gtags -i $(GTAGS_ARGS) "$$here"
674 cscopelist: cscopelist-am
675
676 cscopelist-am: $(am__tagged_files)
677         list='$(am__tagged_files)'; \
678         case "$(srcdir)" in \
679           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
680           *) sdir=$(subdir)/$(srcdir) ;; \
681         esac; \
682         for i in $$list; do \
683           if test -f "$$i"; then \
684             echo "$(subdir)/$$i"; \
685           else \
686             echo "$$sdir/$$i"; \
687           fi; \
688         done >> $(top_builddir)/cscope.files
689
690 distclean-tags:
691         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
692
693 # Recover from deleted '.trs' file; this should ensure that
694 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
695 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
696 # to avoid problems with "make -n".
697 .log.trs:
698         rm -f $< $@
699         $(MAKE) $(AM_MAKEFLAGS) $<
700
701 # Leading 'am--fnord' is there to ensure the list of targets does not
702 # expand to empty, as could happen e.g. with make check TESTS=''.
703 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
704 am--force-recheck:
705         @:
706
707 $(TEST_SUITE_LOG): $(TEST_LOGS)
708         @$(am__set_TESTS_bases); \
709         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
710         redo_bases=`for i in $$bases; do \
711                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
712                     done`; \
713         if test -n "$$redo_bases"; then \
714           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
715           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
716           if $(am__make_dryrun); then :; else \
717             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
718           fi; \
719         fi; \
720         if test -n "$$am__remaking_logs"; then \
721           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
722                "recursion detected" >&2; \
723         else \
724           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
725         fi; \
726         if $(am__make_dryrun); then :; else \
727           st=0;  \
728           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
729           for i in $$redo_bases; do \
730             test -f $$i.trs && test -r $$i.trs \
731               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
732             test -f $$i.log && test -r $$i.log \
733               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
734           done; \
735           test $$st -eq 0 || exit 1; \
736         fi
737         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
738         ws='[   ]'; \
739         results=`for b in $$bases; do echo $$b.trs; done`; \
740         test -n "$$results" || results=/dev/null; \
741         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
742         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
743         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
744         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
745         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
746         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
747         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
748         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
749           success=true; \
750         else \
751           success=false; \
752         fi; \
753         br='==================='; br=$$br$$br$$br$$br; \
754         result_count () \
755         { \
756             if test x"$$1" = x"--maybe-color"; then \
757               maybe_colorize=yes; \
758             elif test x"$$1" = x"--no-color"; then \
759               maybe_colorize=no; \
760             else \
761               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
762             fi; \
763             shift; \
764             desc=$$1 count=$$2; \
765             if test $$maybe_colorize = yes && test $$count -gt 0; then \
766               color_start=$$3 color_end=$$std; \
767             else \
768               color_start= color_end=; \
769             fi; \
770             echo "$${color_start}# $$desc $$count$${color_end}"; \
771         }; \
772         create_testsuite_report () \
773         { \
774           result_count $$1 "TOTAL:" $$all   "$$brg"; \
775           result_count $$1 "PASS: " $$pass  "$$grn"; \
776           result_count $$1 "SKIP: " $$skip  "$$blu"; \
777           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
778           result_count $$1 "FAIL: " $$fail  "$$red"; \
779           result_count $$1 "XPASS:" $$xpass "$$red"; \
780           result_count $$1 "ERROR:" $$error "$$mgn"; \
781         }; \
782         {                                                               \
783           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
784             $(am__rst_title);                                           \
785           create_testsuite_report --no-color;                           \
786           echo;                                                         \
787           echo ".. contents:: :depth: 2";                               \
788           echo;                                                         \
789           for b in $$bases; do echo $$b; done                           \
790             | $(am__create_global_log);                                 \
791         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
792         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
793         if $$success; then                                              \
794           col="$$grn";                                                  \
795          else                                                           \
796           col="$$red";                                                  \
797           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
798         fi;                                                             \
799         echo "$${col}$$br$${std}";                                      \
800         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
801         echo "$${col}$$br$${std}";                                      \
802         create_testsuite_report --maybe-color;                          \
803         echo "$$col$$br$$std";                                          \
804         if $$success; then :; else                                      \
805           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
806           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
807             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
808           fi;                                                           \
809           echo "$$col$$br$$std";                                        \
810         fi;                                                             \
811         $$success || exit 1
812
813 check-TESTS:
814         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
815         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
816         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
817         @set +e; $(am__set_TESTS_bases); \
818         log_list=`for i in $$bases; do echo $$i.log; done`; \
819         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
820         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
821         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
822         exit $$?;
823 recheck: all $(check_PROGRAMS)
824         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
825         @set +e; $(am__set_TESTS_bases); \
826         bases=`for i in $$bases; do echo $$i; done \
827                  | $(am__list_recheck_tests)` || exit 1; \
828         log_list=`for i in $$bases; do echo $$i.log; done`; \
829         log_list=`echo $$log_list`; \
830         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
831                 am__force_recheck=am--force-recheck \
832                 TEST_LOGS="$$log_list"; \
833         exit $$?
834 test-cppcheck.sh.log: test-cppcheck.sh
835         @p='test-cppcheck.sh'; \
836         b='test-cppcheck.sh'; \
837         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
838         --log-file $$b.log --trs-file $$b.trs \
839         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
840         "$$tst" $(AM_TESTS_FD_REDIRECT)
841 test-strrep.log: test-strrep$(EXEEXT)
842         @p='test-strrep$(EXEEXT)'; \
843         b='test-strrep'; \
844         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
845         --log-file $$b.log --trs-file $$b.trs \
846         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
847         "$$tst" $(AM_TESTS_FD_REDIRECT)
848 test-ptime.log: test-ptime$(EXEEXT)
849         @p='test-ptime$(EXEEXT)'; \
850         b='test-ptime'; \
851         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
852         --log-file $$b.log --trs-file $$b.trs \
853         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
854         "$$tst" $(AM_TESTS_FD_REDIRECT)
855 .test.log:
856         @p='$<'; \
857         $(am__set_b); \
858         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
859         --log-file $$b.log --trs-file $$b.trs \
860         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
861         "$$tst" $(AM_TESTS_FD_REDIRECT)
862 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
863 @am__EXEEXT_TRUE@       @p='$<'; \
864 @am__EXEEXT_TRUE@       $(am__set_b); \
865 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
866 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
867 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
868 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
869
870 distdir: $(DISTFILES)
871         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
872         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
873         list='$(DISTFILES)'; \
874           dist_files=`for file in $$list; do echo $$file; done | \
875           sed -e "s|^$$srcdirstrip/||;t" \
876               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
877         case $$dist_files in \
878           */*) $(MKDIR_P) `echo "$$dist_files" | \
879                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
880                            sort -u` ;; \
881         esac; \
882         for file in $$dist_files; do \
883           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
884           if test -d $$d/$$file; then \
885             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
886             if test -d "$(distdir)/$$file"; then \
887               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
888             fi; \
889             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
890               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
891               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
892             fi; \
893             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
894           else \
895             test -f "$(distdir)/$$file" \
896             || cp -p $$d/$$file "$(distdir)/$$file" \
897             || exit 1; \
898           fi; \
899         done
900 check-am: all-am
901         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
902         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
903 check: check-am
904 all-am: Makefile
905 installdirs:
906 install: install-am
907 install-exec: install-exec-am
908 install-data: install-data-am
909 uninstall: uninstall-am
910
911 install-am: all-am
912         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
913
914 installcheck: installcheck-am
915 install-strip:
916         if test -z '$(STRIP)'; then \
917           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
918             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
919               install; \
920         else \
921           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
922             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
923             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
924         fi
925 mostlyclean-generic:
926         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
927         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
928         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
929
930 clean-generic:
931
932 distclean-generic:
933         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
934         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
935
936 maintainer-clean-generic:
937         @echo "This command is intended for maintainers to use"
938         @echo "it deletes files that may require special tools to rebuild."
939 clean: clean-am
940
941 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
942
943 distclean: distclean-am
944         -rm -rf ./$(DEPDIR)
945         -rm -f Makefile
946 distclean-am: clean-am distclean-compile distclean-generic \
947         distclean-tags
948
949 dvi: dvi-am
950
951 dvi-am:
952
953 html: html-am
954
955 html-am:
956
957 info: info-am
958
959 info-am:
960
961 install-data-am:
962
963 install-dvi: install-dvi-am
964
965 install-dvi-am:
966
967 install-exec-am:
968
969 install-html: install-html-am
970
971 install-html-am:
972
973 install-info: install-info-am
974
975 install-info-am:
976
977 install-man:
978
979 install-pdf: install-pdf-am
980
981 install-pdf-am:
982
983 install-ps: install-ps-am
984
985 install-ps-am:
986
987 installcheck-am:
988
989 maintainer-clean: maintainer-clean-am
990         -rm -rf ./$(DEPDIR)
991         -rm -f Makefile
992 maintainer-clean-am: distclean-am maintainer-clean-generic
993
994 mostlyclean: mostlyclean-am
995
996 mostlyclean-am: mostlyclean-compile mostlyclean-generic
997
998 pdf: pdf-am
999
1000 pdf-am:
1001
1002 ps: ps-am
1003
1004 ps-am:
1005
1006 uninstall-am:
1007
1008 .MAKE: check-am install-am install-strip
1009
1010 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1011         check-local clean clean-checkPROGRAMS clean-generic \
1012         cscopelist-am ctags ctags-am distclean distclean-compile \
1013         distclean-generic distclean-tags distdir dvi dvi-am html \
1014         html-am info info-am install install-am install-data \
1015         install-data-am install-dvi install-dvi-am install-exec \
1016         install-exec-am install-html install-html-am install-info \
1017         install-info-am install-man install-pdf install-pdf-am \
1018         install-ps install-ps-am install-strip installcheck \
1019         installcheck-am installdirs maintainer-clean \
1020         maintainer-clean-generic mostlyclean mostlyclean-compile \
1021         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1022         uninstall uninstall-am
1023
1024 check-local: checkpatch.pl
1025         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --show-types -q --no-tree  -emacs -f {} \;
1026         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore NEW_TYPEDEFS --show-types -q --no-tree  -emacs -f {} \;
1027
1028 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1029 # Otherwise a system limit (for SysV at least) may be exceeded.
1030 .NOEXPORT: